Package com.sas.metadata.remote

# Interface InternalLogin

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `Remote`, `Root`, `SecondaryType`

public interface InternalLogin extends SecondaryType
Internal use only.

Attributes of InternalLogin are:

- `IsDisabled`
- `PasswordHash`
- `Salt`
- `PasswordHashHistory`
- `SaltHistory`
- `LoginTimestamp`
- `FailureCount`
- `UseStdExpirationDays`
- `ExpirationDays`
- `PasswordTimestamp`
- `BypassStrength`
- `BypassHistory`
- `BypassLockout`
- `BypassInactivitySuspension`
- `LockoutTimestamp`
- `AccountExpirationDate`

Associations of InternalLogin are:

- `ForIdentity`

## Usage

To create an instance of this InternalLogin, use the `factory` create methods.
Example: create a InternalLogin with name "InternalLogin_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     InternalLogin myObject = (InternalLogin) factory.createComplexMetadataObject(objectStore, "InternalLogin_Object", MetadataObjects.INTERNALLOGIN, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_FORIDENTITY_NAME`
  Constant used for the name of the ForIdentity association.
  `static final String`
  `ATTRIBUTE_ACCOUNTEXPIRATIONDATE_NAME`
  Constant used for the name of the AccountExpirationDate attribute.
  `static final String`
  `ATTRIBUTE_BYPASSHISTORY_NAME`
  Constant used for the name of the BypassHistory attribute.
  `static final String`
  `ATTRIBUTE_BYPASSINACTIVITYSUSPENSION_NAME`
  Constant used for the name of the BypassInactivitySuspension attribute.
  `static final String`
  `ATTRIBUTE_BYPASSLOCKOUT_NAME`
  Constant used for the name of the BypassLockout attribute.
  `static final String`
  `ATTRIBUTE_BYPASSSTRENGTH_NAME`
  Constant used for the name of the BypassStrength attribute.
  `static final String`
  `ATTRIBUTE_EXPIRATIONDAYS_NAME`
  Constant used for the name of the ExpirationDays attribute.
  `static final String`
  `ATTRIBUTE_FAILURECOUNT_NAME`
  Constant used for the name of the FailureCount attribute.
  `static final String`
  `ATTRIBUTE_ISDISABLED_NAME`
  Constant used for the name of the IsDisabled attribute.
  `static final String`
  `ATTRIBUTE_LOCKOUTTIMESTAMP_NAME`
  Constant used for the name of the LockoutTimestamp attribute.
  `static final String`
  `ATTRIBUTE_LOGINTIMESTAMP_NAME`
  Constant used for the name of the LoginTimestamp attribute.
  `static final String`
  `ATTRIBUTE_PASSWORDHASH_NAME`
  Constant used for the name of the PasswordHash attribute.
  `static final String`
  `ATTRIBUTE_PASSWORDHASHHISTORY_NAME`
  Constant used for the name of the PasswordHashHistory attribute.
  `static final String`
  `ATTRIBUTE_PASSWORDTIMESTAMP_NAME`
  Constant used for the name of the PasswordTimestamp attribute.
  `static final String`
  `ATTRIBUTE_SALT_NAME`
  Constant used for the name of the Salt attribute.
  `static final String`
  `ATTRIBUTE_SALTHISTORY_NAME`
  Constant used for the name of the SaltHistory attribute.
  `static final String`
  `ATTRIBUTE_USESTDEXPIRATIONDAYS_NAME`
  Constant used for the name of the UseStdExpirationDays attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getAccountExpirationDate()`
  Gets the `double` value of `AccountExpirationDate`
  `int`
  `getAccountExpirationDateState()`
  Gets the Metadata State of `AccountExpirationDate`
  `int`
  `getBypassHistory()`
  Gets the `int` value of `BypassHistory`
  `int`
  `getBypassHistoryState()`
  Gets the Metadata State of `BypassHistory`
  `int`
  `getBypassInactivitySuspension()`
  Gets the `int` value of `BypassInactivitySuspension`
  `int`
  `getBypassInactivitySuspensionState()`
  Gets the Metadata State of `BypassInactivitySuspension`
  `int`
  `getBypassLockout()`
  Gets the `int` value of `BypassLockout`
  `int`
  `getBypassLockoutState()`
  Gets the Metadata State of `BypassLockout`
  `int`
  `getBypassStrength()`
  Gets the `int` value of `BypassStrength`
  `int`
  `getBypassStrengthState()`
  Gets the Metadata State of `BypassStrength`
  `int`
  `getExpirationDays()`
  Gets the `int` value of `ExpirationDays`
  `int`
  `getExpirationDaysState()`
  Gets the Metadata State of `ExpirationDays`
  `int`
  `getFailureCount()`
  Gets the `int` value of `FailureCount`
  `int`
  `getFailureCountState()`
  Gets the Metadata State of `FailureCount`
  `Identity`
  `getForIdentity()`
  Gets the `Identity` for `ForIdentity`
  `AssociationList`
  `getForIdentitys()`
  Gets the AssociationList of `ForIdentitys`
  `AssociationList`
  `getForIdentitys(boolean fGoToServer)`
  Gets the Associationlist of `ForIdentitys`
  `int`
  `getIsDisabled()`
  Gets the `int` value of `IsDisabled`
  `int`
  `getIsDisabledState()`
  Gets the Metadata State of `IsDisabled`
  `double`
  `getLockoutTimestamp()`
  Gets the `double` value of `LockoutTimestamp`
  `int`
  `getLockoutTimestampState()`
  Gets the Metadata State of `LockoutTimestamp`
  `double`
  `getLoginTimestamp()`
  Gets the `double` value of `LoginTimestamp`
  `int`
  `getLoginTimestampState()`
  Gets the Metadata State of `LoginTimestamp`
  `String`
  `getPasswordHash()`
  Gets the `String` value of `PasswordHash`
  `String`
  `getPasswordHashHistory()`
  Gets the `String` value of `PasswordHashHistory`
  `int`
  `getPasswordHashHistoryMaxLength()`
  Gets the maximum length of `PasswordHashHistory`
  `int`
  `getPasswordHashHistoryState()`
  Gets the Metadata State of `PasswordHashHistory`
  `int`
  `getPasswordHashMaxLength()`
  Gets the maximum length of `PasswordHash`
  `int`
  `getPasswordHashState()`
  Gets the Metadata State of `PasswordHash`
  `double`
  `getPasswordTimestamp()`
  Gets the `double` value of `PasswordTimestamp`
  `int`
  `getPasswordTimestampState()`
  Gets the Metadata State of `PasswordTimestamp`
  `String`
  `getSalt()`
  Gets the `String` value of `Salt`
  `String`
  `getSaltHistory()`
  Gets the `String` value of `SaltHistory`
  `int`
  `getSaltHistoryMaxLength()`
  Gets the maximum length of `SaltHistory`
  `int`
  `getSaltHistoryState()`
  Gets the Metadata State of `SaltHistory`
  `int`
  `getSaltMaxLength()`
  Gets the maximum length of `Salt`
  `int`
  `getSaltState()`
  Gets the Metadata State of `Salt`
  `int`
  `getUseStdExpirationDays()`
  Gets the `int` value of `UseStdExpirationDays`
  `int`
  `getUseStdExpirationDaysState()`
  Gets the Metadata State of `UseStdExpirationDays`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `ForIdentity`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `ForIdentity`
  `void`
  `setAccountExpirationDate(double inAccountExpirationDate)`
  Sets the `AccountExpirationDate` value and sets the state to MetadataState.LOCAL.
  `void`
  `setAccountExpirationDate(double inAccountExpirationDate, int state)`
  Sets the `AccountExpirationDate` Metadata State.
  `void`
  `setAccountExpirationDate(String inAccountExpirationDate)`
  Sets the `AccountExpirationDate` value and sets the state to MetadataState.LOCAL
  `void`
  `setAccountExpirationDate(String inAccountExpirationDate, int state)`
  Sets the `AccountExpirationDate` value and Metadata State.
  `void`
  `setAccountExpirationDateState(int state)`
  Sets the Metadata State of `AccountExpirationDate`.
  `void`
  `setBypassHistory(int inBypassHistory)`
  Sets the `BypassHistory` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBypassHistory(int inBypassHistory, int state)`
  Sets the `BypassHistory` Metadata State.
  `void`
  `setBypassHistory(String inBypassHistory)`
  Sets the `BypassHistory` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBypassHistory(String inBypassHistory, int state)`
  Sets the `BypassHistory` value and Metadata State.
  `void`
  `setBypassHistoryState(int state)`
  Sets the Metadata State of `BypassHistory`.
  `void`
  `setBypassInactivitySuspension(int inBypassInactivitySuspension)`
  Sets the `BypassInactivitySuspension` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBypassInactivitySuspension(int inBypassInactivitySuspension, int state)`
  Sets the `BypassInactivitySuspension` Metadata State.
  `void`
  `setBypassInactivitySuspension(String inBypassInactivitySuspension)`
  Sets the `BypassInactivitySuspension` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBypassInactivitySuspension(String inBypassInactivitySuspension, int state)`
  Sets the `BypassInactivitySuspension` value and Metadata State.
  `void`
  `setBypassInactivitySuspensionState(int state)`
  Sets the Metadata State of `BypassInactivitySuspension`.
  `void`
  `setBypassLockout(int inBypassLockout)`
  Sets the `BypassLockout` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBypassLockout(int inBypassLockout, int state)`
  Sets the `BypassLockout` Metadata State.
  `void`
  `setBypassLockout(String inBypassLockout)`
  Sets the `BypassLockout` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBypassLockout(String inBypassLockout, int state)`
  Sets the `BypassLockout` value and Metadata State.
  `void`
  `setBypassLockoutState(int state)`
  Sets the Metadata State of `BypassLockout`.
  `void`
  `setBypassStrength(int inBypassStrength)`
  Sets the `BypassStrength` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBypassStrength(int inBypassStrength, int state)`
  Sets the `BypassStrength` Metadata State.
  `void`
  `setBypassStrength(String inBypassStrength)`
  Sets the `BypassStrength` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBypassStrength(String inBypassStrength, int state)`
  Sets the `BypassStrength` value and Metadata State.
  `void`
  `setBypassStrengthState(int state)`
  Sets the Metadata State of `BypassStrength`.
  `void`
  `setExpirationDays(int inExpirationDays)`
  Sets the `ExpirationDays` value and sets the state to MetadataState.LOCAL.
  `void`
  `setExpirationDays(int inExpirationDays, int state)`
  Sets the `ExpirationDays` Metadata State.
  `void`
  `setExpirationDays(String inExpirationDays)`
  Sets the `ExpirationDays` value and sets the state to MetadataState.LOCAL.
  `void`
  `setExpirationDays(String inExpirationDays, int state)`
  Sets the `ExpirationDays` value and Metadata State.
  `void`
  `setExpirationDaysState(int state)`
  Sets the Metadata State of `ExpirationDays`.
  `void`
  `setFailureCount(int inFailureCount)`
  Sets the `FailureCount` value and sets the state to MetadataState.LOCAL.
  `void`
  `setFailureCount(int inFailureCount, int state)`
  Sets the `FailureCount` Metadata State.
  `void`
  `setFailureCount(String inFailureCount)`
  Sets the `FailureCount` value and sets the state to MetadataState.LOCAL.
  `void`
  `setFailureCount(String inFailureCount, int state)`
  Sets the `FailureCount` value and Metadata State.
  `void`
  `setFailureCountState(int state)`
  Sets the Metadata State of `FailureCount`.
  `void`
  `setForIdentity(Identity inObject)`
  Sets the `ForIdentitys` list 0th element to be `inObject`.
  `void`
  `setForIdentitys(AssociationList list)`
  Sets the `ForIdentitys` list to be `list`.
  `void`
  `setForIdentitys(AssociationList list, int state)`
  Sets the `ForIdentitys` list to be `list`.
  `void`
  `setIsDisabled(int inIsDisabled)`
  Sets the `IsDisabled` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsDisabled(int inIsDisabled, int state)`
  Sets the `IsDisabled` Metadata State.
  `void`
  `setIsDisabled(String inIsDisabled)`
  Sets the `IsDisabled` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsDisabled(String inIsDisabled, int state)`
  Sets the `IsDisabled` value and Metadata State.
  `void`
  `setIsDisabledState(int state)`
  Sets the Metadata State of `IsDisabled`.
  `void`
  `setLockoutTimestamp(double inLockoutTimestamp)`
  Sets the `LockoutTimestamp` value and sets the state to MetadataState.LOCAL.
  `void`
  `setLockoutTimestamp(double inLockoutTimestamp, int state)`
  Sets the `LockoutTimestamp` Metadata State.
  `void`
  `setLockoutTimestamp(String inLockoutTimestamp)`
  Sets the `LockoutTimestamp` value and sets the state to MetadataState.LOCAL
  `void`
  `setLockoutTimestamp(String inLockoutTimestamp, int state)`
  Sets the `LockoutTimestamp` value and Metadata State.
  `void`
  `setLockoutTimestampState(int state)`
  Sets the Metadata State of `LockoutTimestamp`.
  `void`
  `setLoginTimestamp(double inLoginTimestamp)`
  Sets the `LoginTimestamp` value and sets the state to MetadataState.LOCAL.
  `void`
  `setLoginTimestamp(double inLoginTimestamp, int state)`
  Sets the `LoginTimestamp` Metadata State.
  `void`
  `setLoginTimestamp(String inLoginTimestamp)`
  Sets the `LoginTimestamp` value and sets the state to MetadataState.LOCAL
  `void`
  `setLoginTimestamp(String inLoginTimestamp, int state)`
  Sets the `LoginTimestamp` value and Metadata State.
  `void`
  `setLoginTimestampState(int state)`
  Sets the Metadata State of `LoginTimestamp`.
  `void`
  `setPasswordHash(String inPasswordHash)`
  Sets the `PasswordHash` value and sets the state to MetadataState.LOCAL.
  `void`
  `setPasswordHash(String inPasswordHash, int state)`
  Sets the `PasswordHash` Metadata State.
  `void`
  `setPasswordHashHistory(String inPasswordHashHistory)`
  Sets the `PasswordHashHistory` value and sets the state to MetadataState.LOCAL.
  `void`
  `setPasswordHashHistory(String inPasswordHashHistory, int state)`
  Sets the `PasswordHashHistory` Metadata State.
  `void`
  `setPasswordHashHistoryState(int state)`
  Sets the Metadata State of `PasswordHashHistory`.
  `void`
  `setPasswordHashState(int state)`
  Sets the Metadata State of `PasswordHash`.
  `void`
  `setPasswordTimestamp(double inPasswordTimestamp)`
  Sets the `PasswordTimestamp` value and sets the state to MetadataState.LOCAL.
  `void`
  `setPasswordTimestamp(double inPasswordTimestamp, int state)`
  Sets the `PasswordTimestamp` Metadata State.
  `void`
  `setPasswordTimestamp(String inPasswordTimestamp)`
  Sets the `PasswordTimestamp` value and sets the state to MetadataState.LOCAL
  `void`
  `setPasswordTimestamp(String inPasswordTimestamp, int state)`
  Sets the `PasswordTimestamp` value and Metadata State.
  `void`
  `setPasswordTimestampState(int state)`
  Sets the Metadata State of `PasswordTimestamp`.
  `void`
  `setSalt(String inSalt)`
  Sets the `Salt` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSalt(String inSalt, int state)`
  Sets the `Salt` Metadata State.
  `void`
  `setSaltHistory(String inSaltHistory)`
  Sets the `SaltHistory` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSaltHistory(String inSaltHistory, int state)`
  Sets the `SaltHistory` Metadata State.
  `void`
  `setSaltHistoryState(int state)`
  Sets the Metadata State of `SaltHistory`.
  `void`
  `setSaltState(int state)`
  Sets the Metadata State of `Salt`.
  `void`
  `setUseStdExpirationDays(int inUseStdExpirationDays)`
  Sets the `UseStdExpirationDays` value and sets the state to MetadataState.LOCAL.
  `void`
  `setUseStdExpirationDays(int inUseStdExpirationDays, int state)`
  Sets the `UseStdExpirationDays` Metadata State.
  `void`
  `setUseStdExpirationDays(String inUseStdExpirationDays)`
  Sets the `UseStdExpirationDays` value and sets the state to MetadataState.LOCAL.
  `void`
  `setUseStdExpirationDays(String inUseStdExpirationDays, int state)`
  Sets the `UseStdExpirationDays` value and Metadata State.
  `void`
  `setUseStdExpirationDaysState(int state)`
  Sets the Metadata State of `UseStdExpirationDays`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_ISDISABLED_NAME

    static final String ATTRIBUTE_ISDISABLED_NAME
    Constant used for the name of the IsDisabled attribute.

    IsDisabled: IsDisabled

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_PASSWORDHASH_NAME

    static final String ATTRIBUTE_PASSWORDHASH_NAME
    Constant used for the name of the PasswordHash attribute.

    PasswordHash: Password hash

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SALT_NAME

    static final String ATTRIBUTE_SALT_NAME
    Constant used for the name of the Salt attribute.

    Salt: Salt

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_PASSWORDHASHHISTORY_NAME

    static final String ATTRIBUTE_PASSWORDHASHHISTORY_NAME
    Constant used for the name of the PasswordHashHistory attribute.

    PasswordHashHistory: Password hash history

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SALTHISTORY_NAME

    static final String ATTRIBUTE_SALTHISTORY_NAME
    Constant used for the name of the SaltHistory attribute.

    SaltHistory: Salt history

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_LOGINTIMESTAMP_NAME

    static final String ATTRIBUTE_LOGINTIMESTAMP_NAME
    Constant used for the name of the LoginTimestamp attribute.

    LoginTimestamp: Login timestamp

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_FAILURECOUNT_NAME

    static final String ATTRIBUTE_FAILURECOUNT_NAME
    Constant used for the name of the FailureCount attribute.

    FailureCount: Failure count

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_USESTDEXPIRATIONDAYS_NAME

    static final String ATTRIBUTE_USESTDEXPIRATIONDAYS_NAME
    Constant used for the name of the UseStdExpirationDays attribute.

    UseStdExpirationDays: Use standard expiration days

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_EXPIRATIONDAYS_NAME

    static final String ATTRIBUTE_EXPIRATIONDAYS_NAME
    Constant used for the name of the ExpirationDays attribute.

    ExpirationDays: Expiration days

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_PASSWORDTIMESTAMP_NAME

    static final String ATTRIBUTE_PASSWORDTIMESTAMP_NAME
    Constant used for the name of the PasswordTimestamp attribute.

    PasswordTimestamp: Password timestamp

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_BYPASSSTRENGTH_NAME

    static final String ATTRIBUTE_BYPASSSTRENGTH_NAME
    Constant used for the name of the BypassStrength attribute.

    BypassStrength: Bypass strength

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_BYPASSHISTORY_NAME

    static final String ATTRIBUTE_BYPASSHISTORY_NAME
    Constant used for the name of the BypassHistory attribute.

    BypassHistory: Bypass history

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_BYPASSLOCKOUT_NAME

    static final String ATTRIBUTE_BYPASSLOCKOUT_NAME
    Constant used for the name of the BypassLockout attribute.

    BypassLockout: Bypass lockout

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_BYPASSINACTIVITYSUSPENSION_NAME

    static final String ATTRIBUTE_BYPASSINACTIVITYSUSPENSION_NAME
    Constant used for the name of the BypassInactivitySuspension attribute.

    BypassInactivitySuspension: Bypass inactivity suspension

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_LOCKOUTTIMESTAMP_NAME

    static final String ATTRIBUTE_LOCKOUTTIMESTAMP_NAME
    Constant used for the name of the LockoutTimestamp attribute.

    LockoutTimestamp: Lockout timestamp

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ACCOUNTEXPIRATIONDATE_NAME

    static final String ATTRIBUTE_ACCOUNTEXPIRATIONDATE_NAME
    Constant used for the name of the AccountExpirationDate attribute.

    AccountExpirationDate: Account expiration date

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_FORIDENTITY_NAME

    static final String ASSOCIATION_FORIDENTITY_NAME
    Constant used for the name of the ForIdentity association.

    ForIdentity: The identity for this internal login.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    `ForIdentity`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Specified by:
      `initializeRequiredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `ForIdentity`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `Root`
    Specified by:
      `initializePredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsDisabled

    int getIsDisabled() throws RemoteException
    Gets the `int` value of `IsDisabled`
    Returns:
      The `IsDisabled`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsDisabledState

    int getIsDisabledState() throws RemoteException
    Gets the Metadata State of `IsDisabled`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordHash

    String getPasswordHash() throws RemoteException
    Gets the `String` value of `PasswordHash`
    Returns:
      The `PasswordHash`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordHashState

    int getPasswordHashState() throws RemoteException
    Gets the Metadata State of `PasswordHash`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordHashMaxLength

    int getPasswordHashMaxLength() throws RemoteException
    Gets the maximum length of `PasswordHash`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSalt

    String getSalt() throws RemoteException
    Gets the `String` value of `Salt`
    Returns:
      The `Salt`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSaltState

    int getSaltState() throws RemoteException
    Gets the Metadata State of `Salt`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSaltMaxLength

    int getSaltMaxLength() throws RemoteException
    Gets the maximum length of `Salt`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordHashHistory

    String getPasswordHashHistory() throws RemoteException
    Gets the `String` value of `PasswordHashHistory`
    Returns:
      The `PasswordHashHistory`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordHashHistoryState

    int getPasswordHashHistoryState() throws RemoteException
    Gets the Metadata State of `PasswordHashHistory`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordHashHistoryMaxLength

    int getPasswordHashHistoryMaxLength() throws RemoteException
    Gets the maximum length of `PasswordHashHistory`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSaltHistory

    String getSaltHistory() throws RemoteException
    Gets the `String` value of `SaltHistory`
    Returns:
      The `SaltHistory`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSaltHistoryState

    int getSaltHistoryState() throws RemoteException
    Gets the Metadata State of `SaltHistory`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSaltHistoryMaxLength

    int getSaltHistoryMaxLength() throws RemoteException
    Gets the maximum length of `SaltHistory`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLoginTimestamp

    double getLoginTimestamp() throws RemoteException
    Gets the `double` value of `LoginTimestamp`
    Returns:
      The `LoginTimestamp`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLoginTimestampState

    int getLoginTimestampState() throws RemoteException
    Gets the Metadata State of `LoginTimestamp`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFailureCount

    int getFailureCount() throws RemoteException
    Gets the `int` value of `FailureCount`
    Returns:
      The `FailureCount`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFailureCountState

    int getFailureCountState() throws RemoteException
    Gets the Metadata State of `FailureCount`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getUseStdExpirationDays

    int getUseStdExpirationDays() throws RemoteException
    Gets the `int` value of `UseStdExpirationDays`
    Returns:
      The `UseStdExpirationDays`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getUseStdExpirationDaysState

    int getUseStdExpirationDaysState() throws RemoteException
    Gets the Metadata State of `UseStdExpirationDays`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getExpirationDays

    int getExpirationDays() throws RemoteException
    Gets the `int` value of `ExpirationDays`
    Returns:
      The `ExpirationDays`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getExpirationDaysState

    int getExpirationDaysState() throws RemoteException
    Gets the Metadata State of `ExpirationDays`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordTimestamp

    double getPasswordTimestamp() throws RemoteException
    Gets the `double` value of `PasswordTimestamp`
    Returns:
      The `PasswordTimestamp`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordTimestampState

    int getPasswordTimestampState() throws RemoteException
    Gets the Metadata State of `PasswordTimestamp`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBypassStrength

    int getBypassStrength() throws RemoteException
    Gets the `int` value of `BypassStrength`
    Returns:
      The `BypassStrength`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBypassStrengthState

    int getBypassStrengthState() throws RemoteException
    Gets the Metadata State of `BypassStrength`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBypassHistory

    int getBypassHistory() throws RemoteException
    Gets the `int` value of `BypassHistory`
    Returns:
      The `BypassHistory`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBypassHistoryState

    int getBypassHistoryState() throws RemoteException
    Gets the Metadata State of `BypassHistory`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBypassLockout

    int getBypassLockout() throws RemoteException
    Gets the `int` value of `BypassLockout`
    Returns:
      The `BypassLockout`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBypassLockoutState

    int getBypassLockoutState() throws RemoteException
    Gets the Metadata State of `BypassLockout`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBypassInactivitySuspension

    int getBypassInactivitySuspension() throws RemoteException
    Gets the `int` value of `BypassInactivitySuspension`
    Returns:
      The `BypassInactivitySuspension`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBypassInactivitySuspensionState

    int getBypassInactivitySuspensionState() throws RemoteException
    Gets the Metadata State of `BypassInactivitySuspension`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLockoutTimestamp

    double getLockoutTimestamp() throws RemoteException
    Gets the `double` value of `LockoutTimestamp`
    Returns:
      The `LockoutTimestamp`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLockoutTimestampState

    int getLockoutTimestampState() throws RemoteException
    Gets the Metadata State of `LockoutTimestamp`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAccountExpirationDate

    double getAccountExpirationDate() throws RemoteException
    Gets the `double` value of `AccountExpirationDate`
    Returns:
      The `AccountExpirationDate`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAccountExpirationDateState

    int getAccountExpirationDateState() throws RemoteException
    Gets the Metadata State of `AccountExpirationDate`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getForIdentitys

    AssociationList getForIdentitys() throws RemoteException, MdException
    Gets the AssociationList of `ForIdentitys`
    Returns:
      Returns the AssociationList of `ForIdentitys` which can be of type:
      Identity
      IdentityGroup
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getForIdentity

    Identity getForIdentity() throws RemoteException, MdException
    Gets the `Identity` for `ForIdentity`
    Returns:
      The `Identity` ( `null` if not set) of `ForIdentity`which can be of type:
      Identity
      IdentityGroup
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getForIdentitys

    AssociationList getForIdentitys(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ForIdentitys`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `ForIdentitys` which can be of type:
      Identity
      IdentityGroup
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setIsDisabled

    void setIsDisabled(int inIsDisabled) throws RemoteException
    Sets the `IsDisabled` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsDisabled` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsDisabled

    void setIsDisabled(int inIsDisabled, int state) throws RemoteException
    Sets the `IsDisabled` Metadata State.
    Parameters:
      `inIsDisabled` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsDisabled

    void setIsDisabled(String inIsDisabled) throws RemoteException
    Sets the `IsDisabled` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsDisabled` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsDisabled

    void setIsDisabled(String inIsDisabled, int state) throws RemoteException
    Sets the `IsDisabled` value and Metadata State.
    Parameters:
      `inIsDisabled` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsDisabledState

    void setIsDisabledState(int state) throws RemoteException
    Sets the Metadata State of `IsDisabled`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordHash

    void setPasswordHash(String inPasswordHash) throws RemoteException
    Sets the `PasswordHash` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inPasswordHash` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordHash

    void setPasswordHash(String inPasswordHash, int state) throws RemoteException
    Sets the `PasswordHash` Metadata State.
    Parameters:
      `inPasswordHash` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordHashState

    void setPasswordHashState(int state) throws RemoteException
    Sets the Metadata State of `PasswordHash`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSalt

    void setSalt(String inSalt) throws RemoteException
    Sets the `Salt` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSalt` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSalt

    void setSalt(String inSalt, int state) throws RemoteException
    Sets the `Salt` Metadata State.
    Parameters:
      `inSalt` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSaltState

    void setSaltState(int state) throws RemoteException
    Sets the Metadata State of `Salt`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordHashHistory

    void setPasswordHashHistory(String inPasswordHashHistory) throws RemoteException
    Sets the `PasswordHashHistory` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inPasswordHashHistory` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordHashHistory

    void setPasswordHashHistory(String inPasswordHashHistory, int state) throws RemoteException
    Sets the `PasswordHashHistory` Metadata State.
    Parameters:
      `inPasswordHashHistory` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordHashHistoryState

    void setPasswordHashHistoryState(int state) throws RemoteException
    Sets the Metadata State of `PasswordHashHistory`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSaltHistory

    void setSaltHistory(String inSaltHistory) throws RemoteException
    Sets the `SaltHistory` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSaltHistory` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSaltHistory

    void setSaltHistory(String inSaltHistory, int state) throws RemoteException
    Sets the `SaltHistory` Metadata State.
    Parameters:
      `inSaltHistory` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSaltHistoryState

    void setSaltHistoryState(int state) throws RemoteException
    Sets the Metadata State of `SaltHistory`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLoginTimestamp

    void setLoginTimestamp(double inLoginTimestamp) throws RemoteException
    Sets the `LoginTimestamp` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inLoginTimestamp` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLoginTimestamp

    void setLoginTimestamp(double inLoginTimestamp, int state) throws RemoteException
    Sets the `LoginTimestamp` Metadata State.
    Parameters:
      `inLoginTimestamp` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLoginTimestamp

    void setLoginTimestamp(String inLoginTimestamp) throws RemoteException
    Sets the `LoginTimestamp` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inLoginTimestamp` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLoginTimestamp

    void setLoginTimestamp(String inLoginTimestamp, int state) throws RemoteException
    Sets the `LoginTimestamp` value and Metadata State.
    Parameters:
      `inLoginTimestamp` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLoginTimestampState

    void setLoginTimestampState(int state) throws RemoteException
    Sets the Metadata State of `LoginTimestamp`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFailureCount

    void setFailureCount(int inFailureCount) throws RemoteException
    Sets the `FailureCount` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inFailureCount` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFailureCount

    void setFailureCount(int inFailureCount, int state) throws RemoteException
    Sets the `FailureCount` Metadata State.
    Parameters:
      `inFailureCount` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFailureCount

    void setFailureCount(String inFailureCount) throws RemoteException
    Sets the `FailureCount` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inFailureCount` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFailureCount

    void setFailureCount(String inFailureCount, int state) throws RemoteException
    Sets the `FailureCount` value and Metadata State.
    Parameters:
      `inFailureCount` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFailureCountState

    void setFailureCountState(int state) throws RemoteException
    Sets the Metadata State of `FailureCount`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUseStdExpirationDays

    void setUseStdExpirationDays(int inUseStdExpirationDays) throws RemoteException
    Sets the `UseStdExpirationDays` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inUseStdExpirationDays` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUseStdExpirationDays

    void setUseStdExpirationDays(int inUseStdExpirationDays, int state) throws RemoteException
    Sets the `UseStdExpirationDays` Metadata State.
    Parameters:
      `inUseStdExpirationDays` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUseStdExpirationDays

    void setUseStdExpirationDays(String inUseStdExpirationDays) throws RemoteException
    Sets the `UseStdExpirationDays` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inUseStdExpirationDays` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUseStdExpirationDays

    void setUseStdExpirationDays(String inUseStdExpirationDays, int state) throws RemoteException
    Sets the `UseStdExpirationDays` value and Metadata State.
    Parameters:
      `inUseStdExpirationDays` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUseStdExpirationDaysState

    void setUseStdExpirationDaysState(int state) throws RemoteException
    Sets the Metadata State of `UseStdExpirationDays`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setExpirationDays

    void setExpirationDays(int inExpirationDays) throws RemoteException
    Sets the `ExpirationDays` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inExpirationDays` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setExpirationDays

    void setExpirationDays(int inExpirationDays, int state) throws RemoteException
    Sets the `ExpirationDays` Metadata State.
    Parameters:
      `inExpirationDays` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setExpirationDays

    void setExpirationDays(String inExpirationDays) throws RemoteException
    Sets the `ExpirationDays` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inExpirationDays` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setExpirationDays

    void setExpirationDays(String inExpirationDays, int state) throws RemoteException
    Sets the `ExpirationDays` value and Metadata State.
    Parameters:
      `inExpirationDays` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setExpirationDaysState

    void setExpirationDaysState(int state) throws RemoteException
    Sets the Metadata State of `ExpirationDays`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordTimestamp

    void setPasswordTimestamp(double inPasswordTimestamp) throws RemoteException
    Sets the `PasswordTimestamp` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inPasswordTimestamp` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordTimestamp

    void setPasswordTimestamp(double inPasswordTimestamp, int state) throws RemoteException
    Sets the `PasswordTimestamp` Metadata State.
    Parameters:
      `inPasswordTimestamp` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordTimestamp

    void setPasswordTimestamp(String inPasswordTimestamp) throws RemoteException
    Sets the `PasswordTimestamp` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inPasswordTimestamp` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordTimestamp

    void setPasswordTimestamp(String inPasswordTimestamp, int state) throws RemoteException
    Sets the `PasswordTimestamp` value and Metadata State.
    Parameters:
      `inPasswordTimestamp` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordTimestampState

    void setPasswordTimestampState(int state) throws RemoteException
    Sets the Metadata State of `PasswordTimestamp`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassStrength

    void setBypassStrength(int inBypassStrength) throws RemoteException
    Sets the `BypassStrength` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBypassStrength` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassStrength

    void setBypassStrength(int inBypassStrength, int state) throws RemoteException
    Sets the `BypassStrength` Metadata State.
    Parameters:
      `inBypassStrength` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassStrength

    void setBypassStrength(String inBypassStrength) throws RemoteException
    Sets the `BypassStrength` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBypassStrength` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassStrength

    void setBypassStrength(String inBypassStrength, int state) throws RemoteException
    Sets the `BypassStrength` value and Metadata State.
    Parameters:
      `inBypassStrength` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassStrengthState

    void setBypassStrengthState(int state) throws RemoteException
    Sets the Metadata State of `BypassStrength`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassHistory

    void setBypassHistory(int inBypassHistory) throws RemoteException
    Sets the `BypassHistory` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBypassHistory` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassHistory

    void setBypassHistory(int inBypassHistory, int state) throws RemoteException
    Sets the `BypassHistory` Metadata State.
    Parameters:
      `inBypassHistory` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassHistory

    void setBypassHistory(String inBypassHistory) throws RemoteException
    Sets the `BypassHistory` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBypassHistory` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassHistory

    void setBypassHistory(String inBypassHistory, int state) throws RemoteException
    Sets the `BypassHistory` value and Metadata State.
    Parameters:
      `inBypassHistory` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassHistoryState

    void setBypassHistoryState(int state) throws RemoteException
    Sets the Metadata State of `BypassHistory`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassLockout

    void setBypassLockout(int inBypassLockout) throws RemoteException
    Sets the `BypassLockout` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBypassLockout` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassLockout

    void setBypassLockout(int inBypassLockout, int state) throws RemoteException
    Sets the `BypassLockout` Metadata State.
    Parameters:
      `inBypassLockout` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassLockout

    void setBypassLockout(String inBypassLockout) throws RemoteException
    Sets the `BypassLockout` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBypassLockout` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassLockout

    void setBypassLockout(String inBypassLockout, int state) throws RemoteException
    Sets the `BypassLockout` value and Metadata State.
    Parameters:
      `inBypassLockout` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassLockoutState

    void setBypassLockoutState(int state) throws RemoteException
    Sets the Metadata State of `BypassLockout`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassInactivitySuspension

    void setBypassInactivitySuspension(int inBypassInactivitySuspension) throws RemoteException
    Sets the `BypassInactivitySuspension` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBypassInactivitySuspension` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassInactivitySuspension

    void setBypassInactivitySuspension(int inBypassInactivitySuspension, int state) throws RemoteException
    Sets the `BypassInactivitySuspension` Metadata State.
    Parameters:
      `inBypassInactivitySuspension` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassInactivitySuspension

    void setBypassInactivitySuspension(String inBypassInactivitySuspension) throws RemoteException
    Sets the `BypassInactivitySuspension` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBypassInactivitySuspension` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassInactivitySuspension

    void setBypassInactivitySuspension(String inBypassInactivitySuspension, int state) throws RemoteException
    Sets the `BypassInactivitySuspension` value and Metadata State.
    Parameters:
      `inBypassInactivitySuspension` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBypassInactivitySuspensionState

    void setBypassInactivitySuspensionState(int state) throws RemoteException
    Sets the Metadata State of `BypassInactivitySuspension`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLockoutTimestamp

    void setLockoutTimestamp(double inLockoutTimestamp) throws RemoteException
    Sets the `LockoutTimestamp` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inLockoutTimestamp` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLockoutTimestamp

    void setLockoutTimestamp(double inLockoutTimestamp, int state) throws RemoteException
    Sets the `LockoutTimestamp` Metadata State.
    Parameters:
      `inLockoutTimestamp` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLockoutTimestamp

    void setLockoutTimestamp(String inLockoutTimestamp) throws RemoteException
    Sets the `LockoutTimestamp` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inLockoutTimestamp` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLockoutTimestamp

    void setLockoutTimestamp(String inLockoutTimestamp, int state) throws RemoteException
    Sets the `LockoutTimestamp` value and Metadata State.
    Parameters:
      `inLockoutTimestamp` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLockoutTimestampState

    void setLockoutTimestampState(int state) throws RemoteException
    Sets the Metadata State of `LockoutTimestamp`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccountExpirationDate

    void setAccountExpirationDate(double inAccountExpirationDate) throws RemoteException
    Sets the `AccountExpirationDate` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inAccountExpirationDate` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccountExpirationDate

    void setAccountExpirationDate(double inAccountExpirationDate, int state) throws RemoteException
    Sets the `AccountExpirationDate` Metadata State.
    Parameters:
      `inAccountExpirationDate` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccountExpirationDate

    void setAccountExpirationDate(String inAccountExpirationDate) throws RemoteException
    Sets the `AccountExpirationDate` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inAccountExpirationDate` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccountExpirationDate

    void setAccountExpirationDate(String inAccountExpirationDate, int state) throws RemoteException
    Sets the `AccountExpirationDate` value and Metadata State.
    Parameters:
      `inAccountExpirationDate` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccountExpirationDateState

    void setAccountExpirationDateState(int state) throws RemoteException
    Sets the Metadata State of `AccountExpirationDate`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setForIdentitys

    void setForIdentitys(AssociationList list) throws RemoteException
    Sets the `ForIdentitys` list to be `list`. Object of which can be of type:
    Identity
    IdentityGroup
    Person
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setForIdentitys

    void setForIdentitys(AssociationList list, int state) throws RemoteException
    Sets the `ForIdentitys` list to be `list`. Object of which can be of type:
    Identity
    IdentityGroup
    Person
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setForIdentity

    void setForIdentity(Identity inObject) throws RemoteException
    Sets the `ForIdentitys` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Identity
    Throws:
      `RemoteException` - If error communicating with remote object.